CUDA Runtime API (PDF) - v9.0.176 (older) - Last updated September 2, 2017 - Send Feedback

## 5.10. cudaLaunchParams Struct Reference

## [Data types used by CUDA Runtime]

CUDA launch parameters

### Public Variables

* args
dim3 blockDim
void * func
dim3 gridDim
size_t sharedMem
cudaStream_t stream

### Variables

* cudaLaunchParams::args [inherited]

  Arguments

dim3 cudaLaunchParams::blockDim [inherited]

  Block dimentions

void * cudaLaunchParams::func [inherited]

  Device function symbol

dim3 cudaLaunchParams::gridDim [inherited]

  Grid dimentions

size_t cudaLaunchParams::sharedMem [inherited]

  Shared memory

cudaStream_t cudaLaunchParams::stream [inherited]

  Stream identifier